classification
Title: Better error handling in sqlite3
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, ghaering, serhiy.storchaka, sir-sigurd
Priority: normal Keywords: patch

Created on 2018-02-07 12:01 by serhiy.storchaka, last changed 2018-12-10 14:07 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3723 merged serhiy.storchaka, 2018-02-07 12:03
Messages (2)
msg311786 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-02-07 12:01
The proposed patch makes unexpected errors raised when look up an attribute or a key in a dict (like MemoryError, KeyboardInterrupt, etc) be leaked to a user instead of be overridden by TypeError or AttributeError.
msg331508 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-10 14:06
New changeset fc662ac332443a316a120fa5287c235dc4f8739b by Serhiy Storchaka in branch 'master':
bpo-32788: Better error handling in sqlite3. (GH-3723)
https://github.com/python/cpython/commit/fc662ac332443a316a120fa5287c235dc4f8739b
History
Date User Action Args
2018-12-10 14:07:04serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-10 14:06:12serhiy.storchakasetmessages: + msg331508
2018-10-06 19:08:53sir-sigurdsetnosy: + sir-sigurd
2018-07-26 06:00:17berker.peksagsetpull_requests: - pull_request7998
2018-07-26 05:58:50sir-sigurdsetpull_requests: + pull_request7998
2018-07-26 05:39:51serhiy.storchakalinkissue34230 superseder
2018-07-08 10:12:12serhiy.storchakasetnosy: + berker.peksag
2018-02-07 12:04:43serhiy.storchakalinkissue31572 dependencies
2018-02-07 12:03:00serhiy.storchakasetkeywords: + patch
pull_requests: + pull_request5398
2018-02-07 12:01:54serhiy.storchakacreate